# The LaTeX package tikzfill - version 1.0.1 (2023/08/08)


> Copyright (c) 2022-2023 by Prof. Dr. Dr. Thomas F. Sturm <thomas dot sturm at unibw dot de>

> This work may be distributed and/or modified under the
> conditions of the LaTeX Project Public License, either version 1.3
> of this license or (at your option) any later version.
> The latest version of this license is in
>   http://www.latex-project.org/lppl.txt
> and version 1.3 or later is part of all distributions of LaTeX
> version 2005/12/01 or later.

> This work has the LPPL maintenance status `author-maintained`.

> This work consists of all files listed in README.md


`tikzfill` is a collection of *TikZ* libraries which add 
further options to fill *TikZ* paths with images and 
patterns. The libraries comprise fillings with images from
files and from *TikZ* pictures. Also, patterns of hexagons 
and of rhombi are provided.


## Contents of the package

- `README.md`                         this file
- `CHANGES.md`                        log of changes (history)
- `tikzfill.sty`                      LaTeX package file (style file)
- `tikzfill-common.sty`               LaTeX package file (style file)
- `tikzfill.hexagon.sty`              LaTeX package file (style file)
- `tikzfill.image.sty`                LaTeX package file (style file)
- `tikzfill.rhombus.sty`              LaTeX package file (style file)
- `tikzlibraryfill.hexagon.code.tex`  TikZ library file 
- `tikzlibraryfill.image.code.tex`    TikZ library file 
- `tikzlibraryfill.rhombus.code.tex`  TikZ library file 
- `tikzfill.pdf`                      Documentation for tikzfill
- `tikzfill.tex`                      Source code of the documentation
- `tikzfill-doc.sty`                  Source code of the documentation


## Installation

Copy the contents of the `tikzfill.tds.zip` from CTAN to your local TeX file tree.

Alternatively, put the files to their respective locations within the TeX installation:

- `tikzfill.sty`                      -> /tex/latex/tikzfill
- `tikzfill-common.sty`               -> /tex/latex/tikzfill
- `tikzfill.hexagon.sty`              -> /tex/latex/tikzfill
- `tikzfill.image.sty`                -> /tex/latex/tikzfill
- `tikzfill.rhombus.sty`              -> /tex/latex/tikzfill
- `tikzlibraryfill.hexagon.code.tex`  -> /tex/latex/tikzfill
- `tikzlibraryfill.image.code.tex`    -> /tex/latex/tikzfill
- `tikzlibraryfill.rhombus.code.tex`  -> /tex/latex/tikzfill
